
package com.lib.rncastlabs;

import com.castlabs.android.PlayerSDK;
import com.castlabs.android.drm.MemoryKeyStore;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;

import static com.lib.rncastlabs.Utils.REACT_CLASS_NAME;

public class RNCastLabsModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;

  public RNCastLabsModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
    PlayerSDK.DEFAULT_KEY_STORE = new MemoryKeyStore();
    PlayerSDK.init(reactContext);
  }

  @Override
  public String getName() {
    return REACT_CLASS_NAME;
  }
}